﻿package  {
	import flash.display.*;
	import flash.events.*;
	
	import com.greensock.*;
	import com.greensock.plugins.*;
	import com.greensock.easing.*;
	
	public class Spotlight_234x60 extends MovieClip {
		// Stage Elements
		public var bg:MovieClip;
		//public var holder:MovieClip;						// contains copy and cta
		public var logo:MovieClip;
		
		// colors
		private var rollOverColor:Number = 0x744811;		// roll over color
		
		// dynamically created
		private var clickArea:ClickArea;					// click tag
		private var arrowX:Number;							// starting position for CTA's arrows
		
		public function Spotlight_234x60() {
			init();
		}
		
		private function init():void {
			TweenPlugin.activate([RemoveTintPlugin, TintPlugin, MotionBlurPlugin]);
			
			// record initial starting position of CTA arrow
			arrowX = cta.arrows.x;
			
			// Add click tag
			clickArea = new ClickArea(234,60, 0x6F4532);
			clickArea.addEventListener(MouseEvent.ROLL_OVER, hoverHandler);
			clickArea.addEventListener(MouseEvent.ROLL_OUT, hoverHandler);
			addChild(clickArea);
			
			cta.alpha = 0;
			logo.alpha = 0;
			line3.alpha = 0;
			line4.alpha = 0;
			
			fin_copy_1.alpha = 0;
			fin_copy_2.alpha = 0;
			fin_copy_3.alpha = 0;
			fin_copy_4.alpha = 0;
			
			frame1_IN();
		}
		
		private function frame1_IN(){
			TweenLite.from(person, 0.5, {x:-60, delay:.5,ease:Quad.easeOut});
			TweenLite.from(headline, 0.5, {alpha:0,x:127,delay:.75,ease:Quad.easeOut});
			TweenLite.from(line1, 0.4, {alpha:0,x:100,delay:1.75,ease:Quad.easeOut});
			TweenLite.from(line2, 0.4, {alpha:0,x:100,delay:2,ease:Quad.easeOut,onComplete:frame1_OUT});
		}
		
		private function frame1_OUT(){
			TweenLite.to(line1, 0.4, {alpha:0,delay:1.5,ease:Quad.easeOut});
			TweenLite.to(line2, 0.4, {alpha:0,delay:1.75,ease:Quad.easeOut,onComplete:frame2_IN});
		}
		
		private function frame2_IN(){
			line3.alpha = 1;
			line4.alpha = 1;
			TweenLite.from(line3, 0.4, {alpha:0,x:100,delay:.5,ease:Quad.easeOut});
			TweenLite.from(line4, 0.4, {alpha:0,x:100,delay:.75,ease:Quad.easeOut,onComplete:frame2_OUT});
		}
		
		private function frame2_OUT(){
			TweenLite.to(headline, 0.4, {alpha:0,delay:1.5,ease:Quad.easeOut});
			TweenLite.to(line3, 0.4, {alpha:0,delay:1.75,ease:Quad.easeOut});
			TweenLite.to(line4, 0.4, {alpha:0,delay:2,ease:Quad.easeOut,onComplete:final_IN});
		}
		
		private function final_IN(){
			//person - female
			//TweenLite.to(person, 0.5, {x:98.5,ease:Quad.easeOut});
			//person - male
			TweenLite.to(person, 0.5, {x:85,ease:Quad.easeOut});
			TweenLite.to(logo, 0.5, {alpha:1,ease:Quad.easeOut});
			//
			fin_copy_1.alpha = 1;
			fin_copy_2.alpha = 1;
			fin_copy_3.alpha = 1;
			fin_copy_4.alpha = 1;
			cta.alpha = 1;
			TweenLite.from(fin_copy_1, 0.4, {alpha:0,x:-50,delay:.5,ease:Quad.easeOut});
			TweenLite.from(fin_copy_2, 0.4, {alpha:0,x:-50,delay:.75,ease:Quad.easeOut});
			TweenLite.from(fin_copy_3, 0.4, {alpha:0,x:-50,delay:1,ease:Quad.easeOut});
			TweenLite.from(fin_copy_4, 0.4, {alpha:0,x:-50,delay:1.25,ease:Quad.easeOut});
			TweenLite.from(cta, 0.6, {alpha:0,x:165,delay:2.1,ease:Quad.easeOut});
		}
		
		/**
		 * Roll over and off effects.  Tint CTA to a specific color and animate arrows.
		 */
		private function hoverHandler(e:MouseEvent):void {
			if(e.type == MouseEvent.ROLL_OVER) {
				TweenLite.to(cta, 0.3, {tint:rollOverColor});
				TweenLite.to(cta.arrows, 0.4, {x:"10", alpha:0, onComplete:function(){ cta.arrows.x = arrowX; } });
				TweenLite.to(cta.arrows, 0.4, {alpha:1, overwrite:false, delay:0.4});
			} else if(e.type == MouseEvent.ROLL_OUT) {
				TweenLite.to(cta, 0.3, {removeTint:true});
			}
		}
		
	}
	
}
