﻿package  {
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	
	import com.greensock.TweenLite;
	import com.greensock.easing.Sine;
	import com.greensock.easing.Back;
	import com.greensock.plugins.*;
	import flash.geom.ColorTransform;
	
	public class Spotlight_300x250 extends MovieClip
	{
		// Stage Elements
		public var bg:MovieClip;
		public var person:MovieClip;
		public var logo:MovieClip;
		public var circles:MovieClip;
		public var iAmMore:MovieClip;
		public var employeeNumber:MovieClip;
		public var payscale:MovieClip;
		public var finding:MovieClip;
		public var seeHow:MovieClip;
		
		// Dynamically created
		private var clickArea:ClickArea;
		
		public function Spotlight_300x250() {
			init();
		}
		
		private function init():void
		{
			// Add click tag
			clickArea = new ClickArea(300,250, 0x6F4532);
			addChild(clickArea);
			
			// set initial state of mc's
			circles.alpha = .25;
			circles.stop();
			person.light.stop();
			
			// activate TweenLite plugins
			TweenPlugin.activate([TintPlugin, GlowFilterPlugin, ColorTransformPlugin, RemoveTintPlugin]);
			
			// begin animation
			startAnimation();
		}
		
		private function startAnimation():void
		{
			person.body.transform.colorTransform = new ColorTransform(.3, .3, .3, 1);
			bg.transform.colorTransform = new ColorTransform(.4, .4, .4, 1);
			bg.transform.colorTransform = new ColorTransform(.4, .4, .4, 1);
			logo.transform.colorTransform = new ColorTransform(0, 0, 0, 1);
			
			// slide person in and begin spotlight animation
			TweenLite.from(person, .8, { x: -150, ease: Sine.easeOut });
			
			TweenLite.to(person.body, .1, { delay:1.25, colorTransform:{ tintAmount:.35}, overwrite:0 });
			TweenLite.to(bg, .1, { delay:1.25, colorTransform:{ tintAmount:.35}, overwrite:0 });
			TweenLite.to(logo, 1, { delay:1.25, colorTransform:{ tintAmount:.7}, overwrite:0 });
			
			TweenLite.to(person.body, 1.5, { delay:1.6, colorTransform:{ tintAmount:0}, overwrite:0 });
			TweenLite.to(bg, 1.5, { delay:1.6, colorTransform:{ tintAmount:0}, overwrite:0 });
			TweenLite.to(logo, 1.5, { delay:1.6, colorTransform:{ tintAmount:0}, overwrite:0 });
			TweenLite.delayedCall(1.2, person.light.play); 
			
			TweenLite.to(person.light, 2, { delay:2.3, alpha: 0 });
			
			TweenLite.delayedCall(2, circles.play);
			
			var mb:Number = .35;
			var mb2:Number = .4;
			var rb:Number = .25;
			
			// highlight of circles as words appear			
			TweenLite.to(circles, .2, { delay:5.1, alpha:mb, overwrite: 0 });
			TweenLite.to(circles, 2.5, { delay:5.25, alpha:rb, overwrite: 0 });
			TweenLite.to(person.light, .2, { delay:5.1, alpha:mb2, overwrite: 0 });
			TweenLite.to(person.light, 2.5, { delay:5.25, alpha:0, overwrite: 0 } );
			
			TweenLite.to(circles, .2, { delay:7.3, alpha:mb, overwrite: 0 });
			TweenLite.to(circles, 2, { delay:7.45, alpha:rb, overwrite: 0 });
			TweenLite.to(person.light, .2, { delay:7.3, alpha:mb2, overwrite: 0 });
			TweenLite.to(person.light, 2.5, { delay:7.45, alpha:0, overwrite: 0 } );
			
			TweenLite.to(circles, .2, { delay:9.3, alpha:mb, overwrite: 0 });
			TweenLite.to(circles, 2.5, { delay:9.45, alpha:rb, overwrite: 0 });
			TweenLite.to(person.light, .2, { delay:9.3, alpha:mb2, overwrite: 0 });
			TweenLite.to(person.light, 2.5, { delay:9.45, alpha:0, overwrite: 0 } );
			
			//first copy
			TweenLite.from(iAmMore, .4, { delay:2.8, alpha:0, scaleX:.8, scaleY:.8, ease:Sine.easeOut, overwrite:0 }); 
			TweenLite.to(iAmMore, .5, { delay:4.8, y: 81, ease:Sine.easeOut, overwrite:0});
			TweenLite.from(employeeNumber, .4, { delay:5.1, alpha:0, scaleX:.8, scaleY:.8, ease: Sine.easeOut, overwrite:0 });
			
			//second copy
			TweenLite.to(employeeNumber, .2, { delay:7.3, alpha:0, overwrite:0 });
			TweenLite.from(payscale, .4, { delay:7.4, alpha:0, scaleX:.8, scaleY:.8, ease: Sine.easeOut, overwrite:0 });
			
			// Final copy and cta
			TweenLite.to(payscale, .2, { delay:9.3, alpha:0, overwrite:0 });
			TweenLite.from(finding, .4, { delay:9.4, alpha:0, scaleX:.8, scaleY:.8, ease: Sine.easeOut, overwrite:0 });
			TweenLite.from(seeHow, .4, { delay:10.3, alpha:0, scaleX:.8, scaleY:.8, ease: Sine.easeOut, overwrite:0 });
			
			TweenLite.delayedCall(10.3, clickArea.addEventListener, [MouseEvent.MOUSE_OVER, hoverHandler]);
			TweenLite.delayedCall(10.3, clickArea.addEventListener, [MouseEvent.MOUSE_OUT, hoverHandler]);
		}
		
		private function hoverHandler(e:MouseEvent):void
		{
			if(e.type == MouseEvent.MOUSE_OVER) {
				TweenLite.to(seeHow, 0.3, {tint:0x744811, overwrite:0});
				TweenLite.to(seeHow.arrows, 0.4, {x:35, alpha:0, onComplete:function(){ seeHow.arrows.x = 30 }, overwrite:0 });
				TweenLite.to(seeHow.arrows, 0.4, {alpha:1, delay:0.41, overwrite:0});
				
				var mb:Number = .2;
				var mb2:Number = .3;
				var rb:Number = .25;
				
				TweenLite.to(circles, .2, {  alpha:mb, overwrite: 0 });
				TweenLite.to(circles, 2.5, { delay:.2, alpha:rb, overwrite: 0 });
				TweenLite.to(person.light, .2, {  alpha:mb2, overwrite: 0 });
				TweenLite.to(person.light, 2.5, { delay:.2, alpha:0, overwrite: 0 } );
			}
			else if(e.type == MouseEvent.MOUSE_OUT)
			{
				TweenLite.to(seeHow, 0.3, {tint:0x905b19, overwrite:0});
			}
		}
		
	}
	
}
