﻿package  {
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	import flash.net.*;
	
	public class ClickArea extends Sprite {
		private var targetWidth:Number;
		private var targetHeight:Number;
		private var margin:Number = 0;
		private var hitZone:Sprite;
		private var border:Sprite;

		public function ClickArea(newWidth:Number, newHeight:Number, borderColor:Number=-1) {
			targetWidth = newWidth;
			targetHeight = newHeight;
			
			// create hit area
			hitZone = new Sprite();
			hitZone.graphics.beginFill(0x000000, 0);
			hitZone.graphics.drawRect(0,0, newWidth, newHeight);
			addChild(hitZone);
			
			// draw outline if there is a color
			if(borderColor >= 0) {
				border = new Sprite();
				border.graphics.lineStyle(1, borderColor);
				border.graphics.drawRect(0,0, width-0.5, height-0.5);
				addChild(border);
			}
			
			// act like a button
			this.buttonMode = true;
			this.mouseChildren = false;
			
			// add events
			this.addEventListener(MouseEvent.CLICK, clickHandler);
		}
		
		private function clickHandler(e:MouseEvent):void {
			var clickTag:String = "";
			
			if(root.loaderInfo.parameters.clicktag != null) {
				clickTag = root.loaderInfo.parameters.clicktag;
			} else if(root.loaderInfo.parameters.clickTag != null) {
				clickTag = root.loaderInfo.parameters.clickTag;
			} else if(root.loaderInfo.parameters.clickTAG != null) {
				clickTag = root.loaderInfo.parameters.clickTAG;
			}
			
			if(clickTag != "") {
				navigateToURL(new URLRequest(clickTag), "_blank");
			} else {
				trace("click tag");
			}
		}

	}
	
}
